Gateway QOS (Template)
13 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getTemplateBandwidthCtrlGrid | GET | Get siteTemplate's bandwidth control rule list |
| createTemplateBwCtrl | POST | Create siteTemplate's new bandwidth control rule |
| deleteTemplateBwCtrl | DELETE | Delete an existing bandwidth control rule in siteTemplate |
| modifyTemplateBwCtrl | PUT | Modify an existing bandwidth control rule in siteTemplate |
| getTemplateClassRuleGrid | GET | Get siteTemplate's class rule list |
| createTemplateClassRule | POST | Create siteTemplate's new class rule |
| deleteTemplateClassRule | DELETE | Delete an existing class rule in siteTemplate |
| modifyTemplateClassRule | PUT | Modify an existing class rule in siteTemplate |
| getTemplateTagOut | GET | Get siteTemplate's Tag Outbound Traffic info |
| modifyTemplateTagOut | PUT | Modify siteTemplate's Tag Outbound Traffic info |
| getTemplateVoip | GET | Get siteTemplate's VoIP Prioritization info |
| modifyTemplateVoip | PUT | Modify siteTemplate's VoIP Prioritization info |
| getTemplateQosWans | GET | Get siteTemplate's WAN ports info for Gateway QoS |
getTemplateBandwidthCtrlGrid
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/qos/gateway/bwcs
Get siteTemplate's bandwidth control rule list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getTemplateBandwidthCtrlGrid",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get siteTemplate's bandwidth control rule list.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1004 - Invalid request type.
createTemplateBwCtrl
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/qos/gateway/bwcs
Create siteTemplate's new bandwidth control rule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema QosBwcOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
wan | string | yes | The ID of WAN port to which this Bandwidth Control applies. Each WAN port can only be configured with one rule. WAN ID can be obtained from 'Get WAN ports info for Gateway QoS' interface. |
status | boolean | yes | The status of Bandwidth Control rule, valid values are true or false. |
udpBandwidthCtrl | boolean | yes | The UDP Bandwidth Control of Bandwidth Control rule, valid values are true or false. |
udpRatio | integer | no | The Limited Bandwidth Ratio of Bandwidth Control rule. It should be within the range of 0-100 when parameter [udpBandwidthCtrl] is true. |
outPrioritization | boolean | yes | The Outbound TCP ACK Prioritize of Bandwidth Control rule, valid values are true or false. |
direction | integer | yes | The direction value selected in the Direction configuration should be a value as follows: 0: Inbound; 1: Outbound; 2: Both. |
inBandwidth | integer | yes | The Inbound Bandwidth of Bandwidth Control rule should be within the range of 100-1000000. |
outBandwidth | integer | yes | The Outbound Bandwidth of Bandwidth Control rule should be within the range of 100-1000000. |
classRatio | array<integer> | yes | The ratio of class type, value's format is [class1 ratio, class2 ratio, class3 ratio, others ratio], and the total sum should be 100. |
// omada_call_operation
{
"operationId": "createTemplateBwCtrl",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Create siteTemplate's new bandwidth control rule.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-34265 - The adopted or preconfigured gateway does not support QoS.
-43310 - The WAN Port is being used by other bandwidths.
deleteTemplateBwCtrl
DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/qos/gateway/bwcs/{id}
Delete an existing bandwidth control rule in siteTemplate
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
id | path | string | yes | Bandwidth control rule ID |
// omada_call_operation
{
"operationId": "deleteTemplateBwCtrl",
"params": {
"siteTemplateId": "<siteTemplateId>",
"id": "<id>"
}
}Details, permissions and error codes
Delete an existing bandwidth control rule in siteTemplate.
The interface requires one of the permissions:
Global Site Template Manager Modify
modifyTemplateBwCtrl
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/qos/gateway/bwcs/{id}
Modify an existing bandwidth control rule in siteTemplate
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
id | path | string | yes | Bandwidth control rule ID |
Request body — application/json (required) — schema QosBwcEditOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
status | boolean | yes | The status of Bandwidth Control rule, valid values is true or false. |
wan | string | no | The wan of Bandwidth Control rule. |
udpBandwidthCtrl | boolean | yes | The UDP Bandwidth Control of Bandwidth Control rule, valid values is true or false. |
udpRatio | integer | no | The Limited Bandwidth Ratio of Bandwidth Control rule. It should be within the range of 0-100 when parameter [udpBandwidthCtrl] is true. |
outPrioritization | boolean | yes | The Outbound TCP ACK Prioritize of Bandwidth Control rule, valid values is true or false. |
direction | integer | yes | The direction value selected in the Direction configuration should be a value as follows: 0: Inbound; 1: Outbound; 2: Both. |
inBandwidth | integer | yes | The Inbound Bandwidth of Bandwidth Control rule should be within the range of 100-1000000. |
outBandwidth | integer | yes | The Outbound Bandwidth of Bandwidth Control rule should be within the range of 100-1000000. |
classRatio | array<integer> | yes | The ratio of class type, value's format is [class1 ratio, class2 ratio, class3 ratio, others ratio]. |
// omada_call_operation
{
"operationId": "modifyTemplateBwCtrl",
"params": {
"siteTemplateId": "<siteTemplateId>",
"id": "<id>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing bandwidth control rule in siteTemplate.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-34265 - The adopted or preconfigured gateway does not support QoS.
-43304 - The bandwidth control entry does not exist.
getTemplateClassRuleGrid
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/qos/gateway/class-rules
Get siteTemplate's class rule list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getTemplateClassRuleGrid",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get siteTemplate's class rule list.
The interface requires one of the permissions:
Global Site Template Manager View Only
createTemplateClassRule
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/qos/gateway/class-rules
Create siteTemplate's new class rule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema ClassRuleTemplateOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | The status of class rule. valid values are true or false. |
ipVersion | integer | yes | The IP Version of class rule should be a value as follows: 0: IPv4; 1: IPv6. |
localIp | string | yes | The ID of IP Group or IPv6 Group selected in the Local Address configuration. The ID can be obtained from 'Get group profile template list' interface. |
remoteIp | string | yes | The ID of IP Group or IPv6 Group selected in the Remote Address configuration. The ID can be obtained from 'Get group profile template list' interface. |
dscp | string | yes | The DSCP value selected in the DSCP configuration should be a value as follows: any: any; 8: IP precedence 1; 16: IP precedence 2; 24: IP precedence 3; 32: IP precedence 4; 40: IP precedence 5; 48: IP precedence 6; 56: IP precedence 7; 10: AF Class 1 (Low Drop); 12: AF Class 1 (Medium Drop); 14: AF Class 1 (High Drop); 18: AF Class 2 (Low Drop); 20: AF Class 2 (Medium Drop); 22: AF Class 2 (High Drop); 26: AF Class 3 (Low Drop); 28: AF Class 3 (Medium Drop); 30: AF Class 3 (High Drop); 34: AF Class 4 (Low Drop); 36: AF Class 4 (Medium Drop); 38: AF Class 4 (High Drop); 46: EF Class. |
serviceType | string | yes | The ID of Gateway Qos Service selected in the Service Name configuration. The ID can be obtained from 'Get all Gateway QoS Service's ID and name info in siteTemplate' interface. |
classType | integer | yes | The Class value selected in the Qos Class configuration should be a value as follows: 1: Class 1, 2: Class 2, 3: Class 3. |
// omada_call_operation
{
"operationId": "createTemplateClassRule",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Create siteTemplate's new class rule.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-34265 - The adopted or preconfigured gateway does not support QoS.
-43301 - The service type does not exist.
-43305 - The number of class rules has reached the limit.
-43307 - The IP group does not exist.
-43308 - The value of DSCP is invalid.
deleteTemplateClassRule
DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/qos/gateway/class-rules/{id}
Delete an existing class rule in siteTemplate
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
id | path | string | yes | Class rule ID |
// omada_call_operation
{
"operationId": "deleteTemplateClassRule",
"params": {
"siteTemplateId": "<siteTemplateId>",
"id": "<id>"
}
}Details, permissions and error codes
Delete an existing class rule in siteTemplate.
The interface requires one of the permissions:
Global Site Template Manager Modify
modifyTemplateClassRule
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/qos/gateway/class-rules/{id}
Modify an existing class rule in siteTemplate
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
id | path | string | yes | Class rule ID |
Request body — application/json (required) — schema ClassRuleTemplateOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | The status of class rule. valid values are true or false. |
ipVersion | integer | yes | The IP Version of class rule should be a value as follows: 0: IPv4; 1: IPv6. |
localIp | string | yes | The ID of IP Group or IPv6 Group selected in the Local Address configuration. The ID can be obtained from 'Get group profile template list' interface. |
remoteIp | string | yes | The ID of IP Group or IPv6 Group selected in the Remote Address configuration. The ID can be obtained from 'Get group profile template list' interface. |
dscp | string | yes | The DSCP value selected in the DSCP configuration should be a value as follows: any: any; 8: IP precedence 1; 16: IP precedence 2; 24: IP precedence 3; 32: IP precedence 4; 40: IP precedence 5; 48: IP precedence 6; 56: IP precedence 7; 10: AF Class 1 (Low Drop); 12: AF Class 1 (Medium Drop); 14: AF Class 1 (High Drop); 18: AF Class 2 (Low Drop); 20: AF Class 2 (Medium Drop); 22: AF Class 2 (High Drop); 26: AF Class 3 (Low Drop); 28: AF Class 3 (Medium Drop); 30: AF Class 3 (High Drop); 34: AF Class 4 (Low Drop); 36: AF Class 4 (Medium Drop); 38: AF Class 4 (High Drop); 46: EF Class. |
serviceType | string | yes | The ID of Gateway Qos Service selected in the Service Name configuration. The ID can be obtained from 'Get all Gateway QoS Service's ID and name info in siteTemplate' interface. |
classType | integer | yes | The Class value selected in the Qos Class configuration should be a value as follows: 1: Class 1, 2: Class 2, 3: Class 3. |
// omada_call_operation
{
"operationId": "modifyTemplateClassRule",
"params": {
"siteTemplateId": "<siteTemplateId>",
"id": "<id>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing class rule in siteTemplate.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34265 - The adopted or preconfigured gateway does not support QoS.
-43301 - The service type does not exist.
-43306 - The class rule does not exist.
-43307 - The IP group does not exist.
-43308 - The value of DSCP is invalid.
getTemplateTagOut
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/qos/gateway/tag-outbound-traffic
Get siteTemplate's Tag Outbound Traffic info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getTemplateTagOut",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get siteTemplate's Tag Outbound Traffic info.
The interface requires one of the permissions:
Global Site Template Manager View Only
modifyTemplateTagOut
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/qos/gateway/tag-outbound-traffic
Modify siteTemplate's Tag Outbound Traffic info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema TagOutConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
tagConfigList | array<TagOutItemOpenApiVO> | yes | The Tag Outbound configuration of class type, must contains class 1, class 2, class 3 and others. |
// omada_call_operation
{
"operationId": "modifyTemplateTagOut",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify siteTemplate's Tag Outbound Traffic info.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-34265 - The adopted or preconfigured gateway does not support QoS.
getTemplateVoip
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/qos/gateway/voip-prioritization
Get siteTemplate's VoIP Prioritization info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getTemplateVoip",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get siteTemplate's VoIP Prioritization info.
The interface requires one of the permissions:
Global Site Template Manager View Only
modifyTemplateVoip
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/qos/gateway/voip-prioritization
Modify siteTemplate's VoIP Prioritization info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema VoipOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | The status of First Priority for VoIP SIP/RTP, valid value is true or false. |
sipUdpPort | integer | no | The SIP UDP Port should be within the range of 0-65535 when parameter [enable] is true. |
// omada_call_operation
{
"operationId": "modifyTemplateVoip",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify siteTemplate's VoIP Prioritization info.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-34265 - The adopted or preconfigured gateway does not support QoS.
getTemplateQosWans
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/qos/gateway/wans
Get siteTemplate's WAN ports info for Gateway QoS
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getTemplateQosWans",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get siteTemplate's WAN ports info for Gateway QoS.
The interface requires one of the permissions:
Global Site Template Manager View Only